#include <math.h>
extern int __pascal mp_vtVectorNormalize(double *Vec,int N)
{
  int i;
  double s=0;
  for(i=0;i<N;i++) s+=Vec[i]*Vec[i];
  if(s==0.0) return 0;
  s=sqrt(s);
  for(i=0;i<N;i++) Vec[i]/=s;
  return 1;
}

